<?php
/**
 * The template for displaying 404 pages (not found).
 *
 * @package Eronex
 * @since 0.0.1
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
get_header();

$general_container = eronex_option( 'eronex_container_layout', 'container' );
$page_container    = eronex_option( 'eronex_not_found_container_layout', $general_container );
$container         = ! empty( $page_container ) ? $page_container : $general_container;

$image       = eronex_option( 'eronex_not_found_image', ERONEX_URI . 'assets/img/404.png' );
$title       = eronex_option( 'eronex_not_found_title', esc_html__( 'Not found', 'eronex' ) );
$description = eronex_option( 'eronex_not_found_description', esc_html__( 'Oops! The page you’re looking for doesn’t exist or may have been moved.', 'eronex' ) );
?>
<div class="eronex-content-inner">
	<div class="eronex-<?php echo esc_attr( $container ); ?>">
		<div class="eronex-row">
			<main class="eronex-main">
				<div class="eronex-not-found">
					<?php if ( ! empty( $image ) ) { ?>
						<figure class="eronex-image">
							<img src="<?php echo esc_url( $image ); ?>" alt="<?php echo esc_attr__( '404', 'eronex' ); ?>">
						</figure>
					<?php } ?>
					<h2 class="eronex-title"><?php echo esc_html( $title ); ?></h2>
					<p class="eronex-description"><?php echo esc_html( $description ); ?></p>
				</div>
			</main>
		</div>
	</div>
</div>
<?php
get_footer();
